Gst::PadProbeInfo Class Reference

`#include <gstreamermm/pad.h>`

## Public Member Functions

| PadProbeInfo ()
| PadProbeInfo (GstPadProbeInfo& castitem, bool take_ownership=false)
| PadProbeInfo (GstPadProbeInfo* castitem, bool take_copy=false)
| PadProbeInfo (const PadProbeInfo& other)
virtual | ~PadProbeInfo ()
GstPadProbeInfo* | gobj ()
const GstPadProbeInfo* | gobj () const
gulong | get_id () const
Glib::RefPtr< Gst::Event > | get_event ()
const Glib::RefPtr< Gst::Event > | get_event () const
Glib::RefPtr< Gst::Query > | get_query ()
const Glib::RefPtr< Gst::Query > | get_query () const
Glib::RefPtr< Gst::Buffer > | get_buffer ()
const Glib::RefPtr< Gst::Buffer > | get_buffer () const
Glib::RefPtr< Gst::BufferList > | get_buffer_list ()
const Glib::RefPtr< Gst::BufferList > | get_buffer_list () const
PadProbeType | get_type () const

## Constructor & Destructor Documentation

## PadProbeInfo() [1/4]

Gst::PadProbeInfo::PadProbeInfo | ( |  | ) |

## PadProbeInfo() [2/4]

Gst::PadProbeInfo::PadProbeInfo | ( | GstPadProbeInfo & | castitem,
|  | bool | take_ownership = `false`
| ) |  |

explicit

## PadProbeInfo() [3/4]

Gst::PadProbeInfo::PadProbeInfo | ( | GstPadProbeInfo * | castitem,
|  | bool | take_copy = `false`
| ) |  |

explicit

## PadProbeInfo() [4/4]

Gst::PadProbeInfo::PadProbeInfo | ( | const PadProbeInfo& | other | ) |

## ~PadProbeInfo()

virtual Gst::PadProbeInfo::~PadProbeInfo | ( |  | ) |

virtual

## Member Function Documentation

## get_buffer() [1/2]

Glib::RefPtr<Gst::Buffer> Gst::PadProbeInfo::get_buffer | ( |  | ) |

Returns
  The Gst::Buffer from the probe.

## get_buffer() [2/2]

const Glib::RefPtr<Gst::Buffer> Gst::PadProbeInfo::get_buffer | ( |  | ) | const

Returns
  The Gst::Buffer from the probe.

## get_buffer_list() [1/2]

Glib::RefPtr<Gst::BufferList> Gst::PadProbeInfo::get_buffer_list | ( |  | ) |

Returns
  The Gst::BufferList from the probe.

## get_buffer_list() [2/2]

const Glib::RefPtr<Gst::BufferList> Gst::PadProbeInfo::get_buffer_list | ( |  | ) | const

Returns
  The Gst::BufferList from the probe.

## get_event() [1/2]

Glib::RefPtr<Gst::Event> Gst::PadProbeInfo::get_event | ( |  | ) |

Returns
  The Gst::Event from the probe.

## get_event() [2/2]

const Glib::RefPtr<Gst::Event> Gst::PadProbeInfo::get_event | ( |  | ) | const

Returns
  The Gst::Event from the probe.

## get_id()

gulong Gst::PadProbeInfo::get_id | ( |  | ) | const

## get_query() [1/2]

Glib::RefPtr<Gst::Query> Gst::PadProbeInfo::get_query | ( |  | ) |

Returns
  The Gst::Query from the probe.

## get_query() [2/2]

const Glib::RefPtr<Gst::Query> Gst::PadProbeInfo::get_query | ( |  | ) | const

Returns
  The Gst::Query from the probe.

## get_type()

PadProbeType Gst::PadProbeInfo::get_type | ( |  | ) | const

## gobj() [1/2]

GstPadProbeInfo* Gst::PadProbeInfo::gobj | ( |  | ) |

inline

## gobj() [2/2]

const GstPadProbeInfo* Gst::PadProbeInfo::gobj | ( |  | ) | const

inline